Summary
Get Trigger
Description
Get a Trigger.
Route
GET /operations-manager/triggers/:id
Roles
admin
engineering
apiread
operations
viewer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
The id of the Trigger to get. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| result |
object |
The requested Trigger. |
Copied to Clipboard
{
"message": "Successfully retrieved search results",
"data": {
"name": "myCoolDocumentName",
"description": "Some helpful information about the document",
"type": "eventSystem",
"enabled": true,
"actionType": "automations",
"actionId": "412ed8a1140d5048a91d6a3b",
"lastExecuted": null,
"createdBy": "culpa",
"created": "1969-07-18T05:17:47.794Z",
"lastUpdatedBy": "eu ut officia deserunt",
"lastUpdated": "1988-01-19T23:20:15.382Z",
"source": "Excepteur adipisicing non pariatur",
"topic": "occaecat aliquip dolore ut",
"schema": null,
"legacyWrapper": false,
"_id": "580b2a42f2835e3397fc27a5",
"jst": null,
"migrationVersion": 52268678
}
}